#include<bits/stdc++.h>
using namespace std;

int main()
{
    ios::sync_with_stdio(false);cin.tie(0);cout.tie(0);
    int n,k,g;
    cin >> n >> k;
    map<int,int> m;
    vector<int> v;
    for (int i=0;i<n;i++)
    {
        cin >> g;
        m[g]++;
    }
    for(auto x:m)
    {
        if(x.second>=k)
            v.push_back(x.first);
    }
    cout << v.size() << '\n';
    for (int i=0;i<v.size();i++)
        cout << v[i] << " ";
}